---
proxies:
  description: Proxy configuration
  _type: leadership

  title:
    description: Title or Description
    multi: true
    mandatory: false

  type:
    description: Proxy Type
    type: choice
    choices:
      - HTTP
      - HTTPS/SSL
      - SOCKS4
      - SOCKS5
      - PAC URL
      - WPAD
      - System (use system settings)
      - Direct (no proxy)
    default: Direct (no proxy)

  color:
    description: Color
#    validators:
#      - type: jinja
#        jinja: |
#          {% if _.color | regex_search('/^#([A-F0-9]{3}|[A-F0-9]{6})$/i') %}
#          not a valid color, should be somethink like #000000
#          {% endif %}
